Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 251934 - Add possibility customize VM options
Add possibility customize VM options
Status: RESOLVED FIXED
Product: projects
Classification: Unclassified
Component: Maven
8.0.2
PC All
: P3 (vote)
: 8.1
Assigned To: Tomas Stupka
issues@projects
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2015-04-19 09:58 UTC by vkhashin
Modified: 2015-04-30 06:09 UTC (History)
2 users (show)

See Also:
Issue Type: ENHANCEMENT
:


Attachments
solution (29.64 KB, patch)
2015-04-19 10:00 UTC, vkhashin
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description vkhashin 2015-04-19 09:58:06 UTC
Add dialog like in java project. Make VM options field multiline in projects/run section.
Comment 1 vkhashin 2015-04-19 10:00:25 UTC
Created attachment 153266 [details]
solution
Comment 2 Jiri Kovalsky 2015-04-22 13:52:21 UTC
When integrating this patch please fix the missing "s" character on line 170 in maven/src/org/netbeans/modules/maven/customizer/Bundle.properties file:

RunJarPanel.customizeOptionsButton.text=C&utomize...
Comment 3 Tomas Stupka 2015-04-22 14:44:33 UTC
adding the whole org.netbeans.modules.java.j2seproject.ui.customizer.vmo package
doesn't look like a proper solution
Comment 4 vkhashin 2015-04-22 17:02:51 UTC
I know, this package should be moved to some common module. But I don't know what module is better to use. I can do refactoring, if you point me proper place.
Comment 5 Tomas Stupka 2015-04-28 15:23:44 UTC
- moved the vm options customizer to java.api.common and exposed it in the api via a util method

jet-main #d74bc30b6d61

- ui changes in maven to be able to use the java vm options customizer

jet-main #767b90e0435c

regarding the patch:
when contributing a patch please see that it does not contain irrelevant "cleanups" or forgotten fragments which have nothing to do with the actual problem. for more info on this see also https://netbeans.org/community/contribute/patches.html
Comment 6 Quality Engineering 2015-04-29 02:31:45 UTC
Integrated into 'main-silver', will be available in build *201504290001* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)

Changeset: http://hg.netbeans.org/main-silver/rev/d74bc30b6d61
User: Tomas Stupka <tstupka@netbeans.org>
Log: issue #251934 - Add possibility customize VM options

moved the vm options customizer to java.api.common and exposed it in the api via a util method


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo